various fixes
[automated-distro-installer] / fai-redep
index 935e96c5af2b696ac375b70ab6ff00f4d8962250..ad913a228a81e0a40ca1c00ed380b2124936bb1d 100755 (executable)
--- a/fai-redep
+++ b/fai-redep
@@ -1,36 +1,34 @@
-#!/bin/bash -lx
+#!/bin/bash -l
+set -x
 
 # Deploy fai configuration to faiserver,
 # then start a virtual machine to test the config.
 
 set -eE -o pipefail
-trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?"' ERR
-
-ssh root@faiserver rm -rf /srv/fai/config/\*
-scp -r /a/bin/fai/fai/config root@faiserver:/srv/fai
-# fai example pass: fai
-#ROOTPW='$1$kBnWcO.E$djxB128U7dMkrltJHPf6d1'
-
-# generating a hashed password:
-# under debian, you can do
-# echo "yoursecrectpassword" | mkpasswd -m sha-512 -s
-# On arch, best seems to be copy your shadow file to a temp location,
-# then passwd, get out the new pass, then copy the shadow file back.
-ssh root@faiserver tee -a /srv/fai/config/class/DEFAULT.var <<EOF
-ROOTPW='$(cat /p/shadow/standard)'
-EOF
+trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
+
+cd $(dirname $(readlink -f "$BASH_SOURCE"))
+
+
+# i use faiserver as a dns alias, but ssh key is associated with
+# a canonical hostname and we will have ssh warning spam unless we
+# use it, so look it up just to avoid the warning spam.
+faiserver_host=$(chost faiserver) || faiserver_host=faiserver
+
+
+ssh root@$faiserver_host rm -rf /srv/fai/config
+scp -r fai/config root@$faiserver_host:/srv/fai
+
+
 scp ~/.ssh/id_rsa.pub \
-    root@faiserver:/srv/fai/config/files/home/ian/.ssh/authorized_keys/GRUB_PC
-s scp -r /q/root/luks root@faiserver:/srv/fai/config/distro-install-common
-ssh root@faiserver chmod -R a+r /srv/fai/config/distro-install-common
-
-s virshrm demohost ||:
-# this one doesn't need to be done every time
-s qemu-img create -o preallocation=metadata -f qcow2 \
-  /var/lib/libvirt/images/demohost 30G
-s qemu-img create -o preallocation=metadata -f qcow2 \
-  /var/lib/libvirt/images/demohostb 30G
-# osinfo-query os | gr jessie
-s virt-install --os-variant debian8 --cpu host -n demohost --pxe -r 2048 --vcpus 1 \
-  --disk path=/var/lib/libvirt/images/demohost \
-  --disk path=/var/lib/libvirt/images/demohostb -w bridge=br0,mac=52:54:00:9c:ef:ad
+    root@$faiserver_host:/srv/fai/config/files/home/ian/.ssh/authorized_keys/GRUB_PC
+# todo: automatically disable faiserver after a period so
+# these files are not exposed.
+s scp -r /q/root/luks /q/root/shadow \
+  root@$faiserver_host:/srv/fai/config/distro-install-common
+scp /a/bin/devbyid root@$faiserver_host:/srv/fai/nfsroot/usr/local/bin
+ssh root@$faiserver_host bash <<'EOF'
+set -eE -o pipefail
+chmod 644 /srv/fai/config/files/home/ian/.ssh/authorized_keys/GRUB_PC
+chmod -R a+rX /srv/fai/config/distro-install-common
+EOF